Page MenuHomePhabricator

dumpUploads.php reports invalid file paths ("mwstore://local-backend" instead of local paths)
Closed, ResolvedPublic

Description

Author: jerome

Description:
When running dumpUploads.php, I get paths like this:

mwstore://local-backend/local-public/b/be/IMG_0708.jpg

instead of

/var/www/mediawiki/images/b/be/IMG_0708.jpg (for instance).

At least one other user has a similar problem: http://earthwithsun.com/questions/586443/how-to-backup-image-files-on-mediawiki-1-20-4-using-dumpuploads-php

Previous (old) version of MedaWiki did not had this issue.


Version: 1.23.6
Severity: normal
OS: Linux

Details

Reference
bz73157

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:58 AM
bzimport set Reference to bz73157.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 7 2014, 10:33 PM

(In reply to Jérôme Cornet from comment #0)

Previous (old) version of MedaWiki did not had this issue.

Was that 1.23.5, or which previous version?

jerome wrote:

It was actually version 1.18 (old install not updated regularly).

Not sure if there's a code issue or a configuration issue; I recommend to also ask on https://www.mediawiki.org/wiki/Project:Support_desk just to be sure (plus might get more attention).

Aklapper lowered the priority of this task from Normal to Low.Mar 9 2015, 2:20 PM
Aklapper added a subscriber: Aklapper.

I'm afraid this needs better steps to reproduce, if this is still a problem.

Gcornacchia removed a subscriber: Gcornacchia.

I tried with mw 1.25.1 and I got the same behavior. Are there news about this topic?

Change 268417 had a related patch set uploaded (by Southparkfan):
DumpUploads: output local path instead of mwstore path

https://gerrit.wikimedia.org/r/268417

I just submitted a patch for this. This bug is similar to T64148.

Personally I don't like the relative path output, but if you pass --base=./ to the script you'll get the absolute path!

Change 268417 merged by jenkins-bot:
DumpUploads: output local path instead of mwstore path

https://gerrit.wikimedia.org/r/268417

aude closed this task as Resolved.Jun 17 2016, 2:17 AM
aude assigned this task to Southparkfan.